#
# spec file for package perl-Sub-Name
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Sub-Name
Name:           perl-Sub-Name
Version:        0.27
Release:        1.3
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        (Re)name a sub
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(Devel::CheckBin)
# MANUAL END

%description
This module has only one function, which is also exported by default:

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENCE

%changelog
* Sun Apr 30 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.27
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.27      2023-04-29 12:32:26Z
  - skip quote-separator tests on newer perls that deprecate this behaviour
* Mon Oct  7 2019 <timueller+perl@suse.de>
- updated to 0.26
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.26      2019-10-05 22:23:12Z
  - no changes since 0.25
  0.25      2018-04-21 14:38:45Z (TRIAL RELEASE)
  - fix "Undefined symbol "DPPP_my_croak_xs_usage"" error on some perls
    (RT#125158)
  0.24      2018-04-21 08:15:30Z (TRIAL RELEASE)
  - small internal changes to bring implementation in line with changes to
    Sub::Util (Graham Knop)
  0.23      2016-10-23 04:33:37Z (TRIAL RELEASE)
  - test for renaming lexical subs, which should work on perl 5.22+. (PR#10,
    Graham Knop)
  0.22      2016-10-17 01:41:42Z (TRIAL RELEASE)
  - %%DB::sub is now populated correctly for sub names with wide characters
    or nulls. (PR#9: Graham Knop, Leon Timmermans, Reini Urban)
  - better perl 5.6 compatibility by lowering prereqs of core modules
* Mon Oct  3 2016 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.21      2016-10-02 05:00:12Z
  - no change since 0.20
  0.20      2016-09-11 00:33:10Z (TRIAL RELEASE)
  - fix occasional segmentation fault on OpenBSD when malloc randomization
    causes nameptr to be at the beginning of the page (RT#117072, Alexander
    Bluhm)
* Fri Aug 19 2016 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.19      2016-08-18 18:52:33Z
  - fix checking of SvUTF8 flag
* Tue Aug 16 2016 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.18      2016-08-16 01:07:54Z
  - no changes since 0.17
  0.17      2016-06-27 22:45:27Z (TRIAL RELEASE)
  - fixed parsing error where the name contains a single colon but the last
    separator is :: (Leon Timmermans)
  0.16      2016-06-21 03:41:40Z (TRIAL RELEASE)
  - support binary and unicode symbol names (Leon Timmermans, Aristotle
    Pagaltzis, Peter Rabbitson, Reini Urban, PR#8)
* Mon Mar 21 2016 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.15      2016-03-15 22:17:38Z
  - fix uninitialized warning in test on perls < 5.8.6 (RT#104510)
  - repository moved to the github p5sagit organization (the primary is on
    shadowcat, mirrored to github)
* Fri Apr 24 2015 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.14      2015-04-24 03:26:54Z
  - remove mandatory dependencies for optional test
  - mark the test with B::C as TODO, as it seems to fail frequently and
    should not block normal installations
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.13      2015-03-28 06:27:23Z
  - fix optional test of interaction with B::C that sometimes invalidly
    failed
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.12
  - fix licence in LICENSE and pod
  0.11      2014-08-20 04:44:25Z (TRIAL RELEASE)
  - move variable declaration to fix warning under
  - Werror=declaration-after-statement, to allow compilation under MSVC
    (J.R.Mash, github #3)
  0.10      2014-08-16 00:46:35Z (TRIAL RELEASE)
  - converted distribution packaging to Dist::Zilla
  0.09      2014-08-09
  - Copy the contents of the %%DB::sub entry if it exists; fixes
    Devel::NYTProf's anon sub handling (RT#50524, ilmari)
  0.08      2014-08-04
  - Fix leak when setting a fully-qualified name (ilmari, github#1)
* Fri Jul 25 2014 coolo@suse.com
- updated to 0.07
  - skip optional test if B::C 1.48 is not installed (Reini Urban)
  0.06 -- 2014-07-10
  * Do not change the string arg in XS, use copy instead. Fixes perlcc -O3
    RT#96893 (Reini Urban)
  * add README make target
  * add more distribution metadata
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Fri Aug 19 2011 lars@linux-schulserver.de
- Fixed summary and description
* Sat Apr 30 2011 coolo@opensuse.org
- updated to 0.05
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep  8 2010 chris@computersalat.de
- update to 0.05
  * Stop using the padlist to refcount GVs. Instead use regular magic. This
    allows various modules, including B::Deparse, to safely peek into pads of
    (re)named subs (Closes RT#42725) (Goro Fuji).
  * Support perl >= 5.13.3 by using the new CvGV_set interface there
    (Closes RT#59558).
  * Stop using the deprecated PL_no_symref (Closes RT#57843).
* Mon Mar  8 2010 chris@computersalat.de
- cleanup spec
  o dep for perl-macros
  o Provides cpan_name
  o Makefile.PL
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- initial pkg 0.04
